<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class DeleteIndividualCallLogAction extends \Google\Protobuf\Internal\Message
{
    


    protected $peerJid = null;
    


    protected $isIncoming = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getPeerJid()
    {
        return isset($this->peerJid) ? $this->peerJid : '';
    }

    public function hasPeerJid()
    {
        return isset($this->peerJid);
    }

    public function clearPeerJid()
    {
        unset($this->peerJid);
    }

    




    public function setPeerJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->peerJid = $var;

        return $this;
    }

    



    public function getIsIncoming()
    {
        return isset($this->isIncoming) ? $this->isIncoming : false;
    }

    public function hasIsIncoming()
    {
        return isset($this->isIncoming);
    }

    public function clearIsIncoming()
    {
        unset($this->isIncoming);
    }

    




    public function setIsIncoming($var)
    {
        GPBUtil::checkBool($var);
        $this->isIncoming = $var;

        return $this;
    }

}

